<?php
	session_start();
	ini_set('session.gc_maxlifetime', 99999999); //设置时间 永不过期
	
	require_once("db/db.php");	
	require_once("common/common.php");
	
	$strCFListNo=trim($_REQUEST["cflistno"]);
	if(strlen($strCFListNo)<1)
	{
		$strCFListNo='0';
	}
	
	//设置统一语言格式
	header("Content-type: text/html; charset=gb2312"); 
	
	$strRetID="0";
	
	if(strlen($strCFListNo)>0)
	{
		$strSelUsedName=trim($_SESSION['username']);
		$sql=sprintf("UPDATE TR_Room_BreakFast_List SET UsedFlag=1,UsedTime=GetDate(),UsedMan='%s' WHERE ListNo=%s",$strSelUsedName,$strCFListNo);
		$result = querySql($sql);
		
		$strRetID="1";
		
		//freeResult($result);
	}
	
	closeDb();
	echo 'BEG:'.$strRetID;	//1=OK,0=无效,2=已经使用过,3=不是当天的,4=房间不是在住状态
	
?>


